.filter-search-container {
    width: 90%;
    margin: 0 auto;
    background: #f7f9fb;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin-top: 20px;
}

.filter-form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 15px;
    margin-bottom: 20px;
}

.filter-form input,
.filter-form select {
    flex: 1 1 calc(33.333% - 30px);
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-sizing: border-box;
    font-size: 1em;
}

.filter-form button {
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    flex: 1 1 100%;
    max-width: 150px;
    margin: 0 auto;
    font-size: 1em;
}

.filter-form button:hover {
    background-color: #0056b3;
}

.search-results {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
}

.book-card {
    background: white;
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    text-align: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.book-card img {
    max-width: 100%;
    height: auto;
    border-radius: 6px;
    margin-bottom: 10px;
}

.book-card h3 {
    font-size: 1.2em;
    margin-bottom: 10px;
    color: #333;
}

.book-card p {
    font-size: 1em;
    color: #666;
    margin-bottom: 20px;
}

.book-card button {
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}

.book-card button:hover {
    background-color: #0056b3;
}

/* Responsive Styles */
@media (max-width: 768px) {
    .filter-form input,
    .filter-form select {
        flex: 1 1 calc(50% - 20px);
    }

    .search-results {
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    }
}

@media (max-width: 576px) {
    .filter-form input,
    .filter-form select {
        flex: 1 1 100%;
    }

    .search-results {
        grid-template-columns: 1fr;
    }
}
